---
title: IShopService
---
//[shop](../../../index.html)/[com.tezro.api.shop.service](../index.html)/[IShopService](index.html)



# IShopService



[jvm]\
interface [IShopService](index.html)

A Service which is used to make requests to Tezro Open-Api to send or receive different information about a shop and orders.



## Functions


| Name | Summary |
|---|---|
| [createOrder](create-order.html) | [jvm]<br>abstract fun [createOrder](create-order.html)(orderId: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), name: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), amount: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), currency: [Order.Currency](../../com.tezro.api.shop.model.orders/-order/-currency/index.html), confirmAmountUrl: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), expiryDate: [Date](https://docs.oracle.com/javase/8/docs/api/java/util/Date.html), photos: [List](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)&lt;[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)&gt;?, attributes: [List](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)&lt;[Attribute](../../com.tezro.api.shop.model.common/-attribute/index.html)&gt;?): [IRequest](../../com.tezro.api.shop.client.core.client.requests/-i-request/index.html)&lt;[Order](../../com.tezro.api.shop.model.orders/-order/index.html), [Error](../../com.tezro.api.shop.model.common/-error/index.html)&gt;<br>Initializes a new order. |
| [getOrder](get-order.html) | [jvm]<br>abstract fun [getOrder](get-order.html)(orderExternalId: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)): [IRequest](../../com.tezro.api.shop.client.core.client.requests/-i-request/index.html)&lt;[Order](../../com.tezro.api.shop.model.orders/-order/index.html), [Error](../../com.tezro.api.shop.model.common/-error/index.html)&gt;<br>Request an order by its id. |
| [getOrders](get-orders.html) | [jvm]<br>abstract fun [getOrders](get-orders.html)(offset: [Long](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html)? = null, limit: [Long](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html)? = null, direction: [Pagination.Direction](../../com.tezro.api.shop.model.common/-pagination/-direction/index.html)? = null, status: [Order.Status](../../com.tezro.api.shop.model.orders/-order/-status/index.html)? = null): [IRequest](../../com.tezro.api.shop.client.core.client.requests/-i-request/index.html)&lt;[OrdersPage](../../com.tezro.api.shop.model.orders/-orders-page/index.html), [Error](../../com.tezro.api.shop.model.common/-error/index.html)&gt;<br>Request a list of orders. |
| [sendMessage](send-message.html) | [jvm]<br>abstract fun [sendMessage](send-message.html)(externalOrderId: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), message: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), entities: [List](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)&lt;[MessageEntity](../../com.tezro.api.shop.model.messages/-message-entity/index.html)&gt;?): [IRequest](../../com.tezro.api.shop.client.core.client.requests/-i-request/index.html)&lt;[Void](https://docs.oracle.com/javase/8/docs/api/java/lang/Void.html), [Error](../../com.tezro.api.shop.model.common/-error/index.html)&gt;<br>Sends message to customer that created a specific order. Should be used when order's status is one of: confirmed, delivered, disputed. |
| [setOrderStatusDelivered](set-order-status-delivered.html) | [jvm]<br>abstract fun [setOrderStatusDelivered](set-order-status-delivered.html)(orderExternalId: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), attributes: [List](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)&lt;[Attribute](../../com.tezro.api.shop.model.common/-attribute/index.html)&gt;?, comment: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)?): [IRequest](../../com.tezro.api.shop.client.core.client.requests/-i-request/index.html)&lt;[Void](https://docs.oracle.com/javase/8/docs/api/java/lang/Void.html), [Error](../../com.tezro.api.shop.model.common/-error/index.html)&gt;<br>Updates order's current status to delivered and sends a request to the customer to unlock payment. |
| [setOrderStatusDelivering](set-order-status-delivering.html) | [jvm]<br>abstract fun [setOrderStatusDelivering](set-order-status-delivering.html)(orderExternalId: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), attributes: [List](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)&lt;[Attribute](../../com.tezro.api.shop.model.common/-attribute/index.html)&gt;?, trackingNumber: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), trackingUrl: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)?, comment: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)?): [IRequest](../../com.tezro.api.shop.client.core.client.requests/-i-request/index.html)&lt;[Void](https://docs.oracle.com/javase/8/docs/api/java/lang/Void.html), [Error](../../com.tezro.api.shop.model.common/-error/index.html)&gt;<br>Updates order status to delivering. Adds a new tracking number and url to the order. This number will be used by the customer to track the location of the product during shipment. |
| [setOrderStatusProcessing](set-order-status-processing.html) | [jvm]<br>abstract fun [setOrderStatusProcessing](set-order-status-processing.html)(orderExternalId: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), attributes: [List](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)&lt;[Attribute](../../com.tezro.api.shop.model.common/-attribute/index.html)&gt;?, comment: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)?): [IRequest](../../com.tezro.api.shop.client.core.client.requests/-i-request/index.html)&lt;[Void](https://docs.oracle.com/javase/8/docs/api/java/lang/Void.html), [Error](../../com.tezro.api.shop.model.common/-error/index.html)&gt;<br>Updates order's current status to processing and sends a notification to the customer. |

